sigmlinlib

## Class SiGMLInputServiceStopper

- java.lang.Object
- - sigmlinlib.SiGMLInputServiceStopper

-     public class SiGMLInputServiceStopper
      extends java.lang.Object

  Main class, whose `main(String[])` method requests the termination of a given SiGML input service.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STD_STOP_PORT` The standard SiGML input service termination port number.
    `static int` | `stopPort` The termination port number used by this class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLInputServiceStopper(int stopport)` Constructs an input service terminator, which immediately signals the termination request by attempting to make a connection on the given termination port on the local host.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Main method, which delivers a service termination request on the given port on the local host: it takes one optional argument, giving the service's termination port number; by default this is `STD_STOP_PORT`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STD_STOP_PORT

          public static final int STD_STOP_PORT

      The standard SiGML input service termination port number.
      See Also:
        Constant Field Values

    - #### stopPort

          public static int stopPort

      The termination port number used by this class.

  - ### Constructor Detail

    - #### SiGMLInputServiceStopper

          public SiGMLInputServiceStopper(int stopport)

      Constructs an input service terminator, which immediately signals the termination request by attempting to make a connection on the given termination port on the local host.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main method, which delivers a service termination request on the given port on the local host: it takes one optional argument, giving the service's termination port number; by default this is `STD_STOP_PORT`.